-- Belegungskalendar Addon
--
-- @author bade[at]maple-park[dot]de Heinz Bade
-- @package redaxo 4.3


#
# Tabellenstruktur fr Tabelle `rex_mp_availability_calendar`
#

DROP TABLE IF EXISTS `%TABLE_PREFIX%mp_availability_calendar`;
CREATE TABLE `%TABLE_PREFIX%mp_availability_calendar` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `object_id` int(11) unsigned NOT NULL default '0',
  `booked_day` date NOT NULL default '0000-00-00',
  `state` char(3) NOT NULL default 'all',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `obj_booked` (`object_id`,`booked_day`)
) ENGINE=MyISAM ;

#
# Tabellenstruktur fr Tabelle `rex_mp_availability_calendar_objects`
#

DROP TABLE IF EXISTS `%TABLE_PREFIX%mp_availability_calendar_objects`;
CREATE TABLE `%TABLE_PREFIX%mp_availability_calendar_objects` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(150) NOT NULL default '',
  `description` text,
  `status` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;

