<?php
/**
 * Belegungskalendar  Addon
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4.3
 * @version $Id: settings.inc.php,v 1.0 2011/01/28 14:38:00 elektra$
 */

$basedir = dirname(__FILE__);

$func = rex_request('func', 'string');

$week_start_day = rex_request('week_start_day', 'integer', $REX['ADDON'][$page]['week_start_day']);
$month_to_show = rex_request('month_to_show', 'integer', $REX['ADDON'][$page]['month_to_show']);

//------------------------------> Addon Settings aktualisieren
if ($func == 'update')
{

  $file = $REX['INCLUDE_PATH'].'/addons/'.$page.'/config.inc.php';

  // Ersetzungen
  $content = "\$REX['ADDON'][\$mypage]['week_start_day'] = ".$week_start_day.";\n";
  $content .= "\$REX['ADDON'][\$mypage]['month_to_show'] = ".$month_to_show.";\n";

  if (rex_replace_dynamic_contents($file, $content) === false)
  {
    echo rex_error($I18N->msg('availability_calendar_setup_error', $file));
  }
  else
  {
    echo rex_info($I18N->msg('availability_calendar_setup_done'));
  }

}

?>

<div class="rex-addon-output">
  <h2 class="rex-hl2"><?php echo $I18N->msg('availability_calendar_edit_settings'); ?></h2>
  <div class="rex-area">
    <div class="rex-form rex-form-addon-editmode">
      <form action="index.php" method="post">
        <fieldset class="rex-form-col-1">
          <div class="rex-form-wrapper">
            <input type="hidden" name="page" value="<?php echo $page; ?>" />
            <input type="hidden" name="subpage" value="settings" />
            <input type="hidden" name="func" value="update" />
            <div class="rex-form-row rex-form-element-v2">
              <p class="rex-form-select">
                <label for="week_start_day"><?php echo $I18N->msg('availability_calendar_label_week_start_day'); ?></label>
                <?php

$select_weekday = new rex_select();
$select_weekday->setName('week_start_day');
$select_weekday->setId('week_start_day');
$select_weekday->setSize(1);
$select_weekday->addOption($I18N->msg('availability_calendar_monday'), '1');
$select_weekday->addOption($I18N->msg('availability_calendar_tuesday'), '2');
$select_weekday->addOption($I18N->msg('availability_calendar_wednesday'), '3');
$select_weekday->addOption($I18N->msg('availability_calendar_thursday'), '4');
$select_weekday->addOption($I18N->msg('availability_calendar_friday'), '5');
$select_weekday->addOption($I18N->msg('availability_calendar_saturday'), '6');
$select_weekday->addOption($I18N->msg('availability_calendar_sunday'), '7');
$select_weekday->setSelected($week_start_day);
$select_weekday->show();

                ?>
              </p>
            </div>
            <div class="rex-form-row rex-form-element-v2">
              <p class="rex-form-text">
                <label for="month_to_show"><?php echo $I18N->msg('availability_calendar_label_month_to_show'); ?></label>
                <input class="rex-form-text" type="text" id="month_to_show" name="month_to_show" value="<?php echo $month_to_show; ?>">
              </p>
            </div>
            <div class="rex-form-row rex-form-element-v2">
              <p class="rex-form-submit">
                <input class="rex-form-submit" type="submit" value="<?php echo $I18N->msg('update'); ?>" title="<?php echo $I18N->msg('update'); ?>" />
              </p>
            </div>
          </div>
        </fieldset>
      </form>
    </div>
  </div>
</div>