<?php
/**
 * Belegungskalendar Addon
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4.3
 * @version $Id: uninstall.inc.php,v 1.2 2011/05/28 17:59:00 elektra Exp $
 */

$error = '';

// DROP DATABASE
$db = new rex_sql();
$db->setQuery('DROP TABLE IF EXISTS `'.$REX['TABLE_PREFIX'].'mp_availability_calendar`;');
if ($db->hasError())
{
  $error = 'Unable to delete database table "'. $REX['TABLE_PREFIX'].'mp_availability_calendar"';
}
$db->setQuery('DROP TABLE IF EXISTS `'.$REX['TABLE_PREFIX'].'mp_availability_calendar_objects`;');
if ($db->hasError())
{
  $error = 'Unable to delete database table "'. $REX['TABLE_PREFIX'].'mp_availability_calendar_objects"';
}


// DELETE MODULES
// -> this has to be done manually


// DELETE ARTICLESLICES
// -> this has to be done manually


// DELETE FILES
$addonFolder = $REX['MEDIAFOLDER'].'/addons/mp_availability_calendar';
if ($error == '' && is_dir($addonFolder) && !rex_deleteDir($addonFolder, true))
{
  $error = 'Unable to delete folder "'. $addonFolder .'"';
}

// REGENERATE SITE


// eventuell Ausgabe einer Meldung
if ($error != '' && strlen($error) > 3)
{
  $REX['ADDON']['install']['mp_availability_calendar'] = true;
  $REX['ADDON']['installmsg']['mp_availability_calendar'] = $error;
}
else
{
  $REX['ADDON']['install']['mp_availability_calendar'] = false;
}

?>