<?php
/**
 * Belegungskalendar Addon
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4.3
 * @version $Id: config.inc.php,v 1.5 2011/07/23 15:55:00 elektra$
 */

$mypage = 'mp_availability_calendar';

if ($REX['REDAXO'])
{
  // include file with translations
  $I18N->appendFile($REX['INCLUDE_PATH'].'/addons/'.$mypage.'/lang/');

  $REX['ADDON']['page'][$mypage] = $mypage;
  $REX['ADDON']['name'][$mypage] = $I18N->msg('availability_calendar_title');
  $REX['ADDON']['perm'][$mypage] = 'mp_availability_calendar[]';
  $REX['ADDON']['version'][$mypage] = '1.5';
  $REX['ADDON']['author'][$mypage] = 'Heinz Bade, maple park Ltd.';

  $REX['PERM'][] = 'mp_availability_calendar[]';

  // add extensions for backend pages
  require_once $REX['INCLUDE_PATH'].'/addons/'.$mypage.'/functions/function_extensions_backend.inc.php';
  rex_register_extension('PAGE_CHECKED', 'mp_availability_calendar_handle_extensions');

  // handle backend pages
  $REX['ADDON']['pages'][$mypage] = array();
  $REX['ADDON']['pages'][$mypage][] = array('calendar', $I18N->msg('availability_calendar_calendar'));
  $REX['ADDON']['pages'][$mypage][] = array('objects', $I18N->msg('availability_calendar_objects'));
  $REX['ADDON']['pages'][$mypage][] = array('settings', $I18N->msg('availability_calendar_settings'));
  $REX['ADDON']['pages'][$mypage][] = array('manual', $I18N->msg('availability_calendar_manual'));
}
else
{
  // include file with frontend extensions
  require_once $REX['INCLUDE_PATH'].'/addons/'.$mypage.'/functions/function_extensions_frontend.inc.php';
  // add css files to page header
  rex_register_extension('OUTPUT_FILTER', 'mp_availability_calendar_add_header_files');
}

// --- DYN
$REX['ADDON'][$mypage]['week_start_day'] = 1;
$REX['ADDON'][$mypage]['month_to_show'] = 3;
// --- /DYN

?>