<?php

/**
 * Registriert die bentigen Extensions im Backend
 * 
 * @param $params Parameter des EP 'PAGE_CHECKED' (page)
 */
function mp_availability_calendar_handle_extensions($params)
{
  global $REX;

  $page = $params['subject'];

  if  ($page == 'mp_availability_calendar' || $page == 'content')
  {
    // add css/js files to page header
    rex_register_extension('PAGE_HEADER', 'mp_availability_calendar_add_header_files');
  }
}

/**
 * Ldt die bentigen Stylesheets/Javascripte im Backend
 *
 * @param $params Parameter des EP 'PAGE_HEADER'
*/
function mp_availability_calendar_add_header_files($params)
{
  $params['subject'] .= "\n".'  <link rel="stylesheet" type="text/css" href="../files/addons/mp_availability_calendar/backend.css" />';
  $params['subject'] .= "\n".'  <script type="text/javascript" src="../files/addons/mp_availability_calendar/backend.js"></script>';

  return $params['subject'];
}

?>