<?php
/**
 * Belegungskalendar Addon
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4.3
 * @version $Id: install.inc.php,v 1.1 2011/02/23 14:52:00 elektra Exp $
 */

$error = '';
$basedir = dirname(__FILE__);


// mind. REDAXO-Version 4.2.0 muss vorhanden sein
$_REX['REDAXO-VERSION'] = $REX['VERSION'].'.'.$REX['SUBVERSION'].'.'.$REX['MINORVERSION'];
if (version_compare($_REX['REDAXO-VERSION'], '4.2.0', '<'))
{
  $error = 'Required REDAXO >= 4.2.0';
}

// Modul in Datenbank eintragen
$sql = rex_sql::factory();
//$sql->debugsql = true;
$sql->setTable($REX['TABLE_PREFIX'].'module');
if (strstr($REX['LANG'], 'utf8')) {
  $sql->setValue('name', utf8_encode('Belegungsplan'));
  $sql->setValue('eingabe', addslashes(utf8_encode(file_get_contents($basedir.'/modules/module.calendar.input.php'))));
  $sql->setValue('ausgabe', addslashes(utf8_encode(file_get_contents($basedir.'/modules/module.calendar.output.php'))));
} else {
  $sql->setValue('name', 'Belegungsplan');
  $sql->setValue('eingabe', addslashes(file_get_contents($basedir.'/modules/module.calendar.input.php')));
  $sql->setValue('ausgabe', addslashes(file_get_contents($basedir.'/modules/module.calendar.output.php')));
}
$sql->setValue('createuser', 'addon_mp_availability_calendar');
$sql->setValue('createdate', time());
if (!$sql->insert()) {
  $error .= $sql->getError();
}


if ($error != '')
{
  $REX['ADDON']['install']['mp_availability_calendar'] = false;
  $REX['ADDON']['installmsg']['mp_availability_calendar'] = $error;
}
else
{
  $REX['ADDON']['install']['mp_availability_calendar'] = true;
}

?>