<?php
/**
 * Belegungskalendar Addon
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4.3
 * @version $Id: index.inc.php,v 1.0 2010/11/04 16:35:00 elektra$
 */

//------------------------------> Parameter
$basedir = dirname(__FILE__);
$page = rex_request('page', 'string', 'mp_availability_calendar');
$subpage = rex_request('subpage', 'string', 'calendar');


require $REX['INCLUDE_PATH'].'/layout/top.php';

rex_title($I18N->msg('availability_calendar_title'), $REX['ADDON']['pages'][$page]);

switch ($subpage)
{
  case 'manual' :
    require $basedir.'/manual.inc.php';
    break;
  case 'settings' :
    require $basedir.'/settings.inc.php';
    break;
  case 'objects' :
    require $basedir.'/objects.inc.php';
    break;
  case 'calendar' :
  default :
    require $basedir.'/calendar.inc.php';
}

require $REX['INCLUDE_PATH'].'/layout/bottom.php';

?>